package cn.com.countrygarden.bi.main.service.phoenix;

import java.util.Map;

public interface PhoenixSalesHttpClientService {

    byte[] des3EncodeCBC(byte[] key, byte[] keyiv, byte[] data) throws Exception;

    byte[] des3DecodeCBC(byte[] key, byte[] keyiv, byte[] data) throws Exception;

    String encodeToString(String string) throws Exception;

    String decodeString(String string) throws Exception;

    String post(String api, Map<String, Object> params);
}
